CKSUM(1)

NUME
cksum - calculează și verifică sumele de control ale fișierelor

SINOPSIS
cksum [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Afișează sau verifică sumele de control. În mod implicit, utilizează algoritmul CRC pe 32 de biți.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --algorithm=TYPE
    selectează tipul de sumă de control de utilizat; vedeți SUMĂ (DIGEST), mai jos

--base64
    emite sume de control codificate în base64, nu în hexazecimal

-c, --check
    citește sumele de control din FIȘIERE și-le verifică

-l, --length=BIȚI
    lungimea sumei de control în biți; nu trebuie să depășească dimensiunea maximă și trebuie să fie un multiplu de 8 pentru blake2b; trebuie să fie 224, 256, 384 sau 512 pentru sha2 sau sha3

--raw
    emite o sumă de control binară brută, nu hexazecimală

--tag
    creează o sumă de control în stil BSD (implicit)

--untagged
    creează o sumă de control de stil inversat, fără un tip de sumă de control

-z, --zero
    termină fiecare linie afișată cu NUL, nu cu o nouă linie, și dezactivează eludarea numelui fișierului

  Următoarele cinci opțiuni sunt utile numai la verificarea sumelor de control:

--ignore-missing
    nu eșuează și nu raportează starea fișierelor lipsă

--quiet
    nu afișează marcajul „OK” pentru fiecare fișier verificat cu succes

--status
    nu afișează nimic, codul de stare arată succes

--strict
    iese cu un cod de stare diferit de zero pentru linii de sumă de control formatate incorect

-w, --warn
    avertizează despre liniile de sumă de control formatate incorect

--debug
    indică ce implementare este utilizată

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

  SUMĂ (DIGEST) determină algoritmul sumei de control și formatul implicit de ieșire:

sysv
    (echivalent cu «sum -s»)

bsd (echivalent cu «sum -r»)

crc (echivalent cu «cksum»)

crc32b
    (disponibil numai prin «cksum»)

md5 (echivalent cu «md5sum»)

sha1
    (echivalent cu «sha1sum»)

sha2
    (echivalent cu «sha{224,256,384,512}sum»)

sha3
    (disponibil numai prin «cksum»)

blake2b
    (echivalent cu «b2sum»)

sm3 (disponibil numai prin «cksum»)

La verificare, intrarea ar trebui să fie o ieșire anterioară a acestui program, sau un program independent echivalent.

AUTOR
Scris de Padraig Brady și Q. Frank Xia.

RAPORTAREA ERORILOR
Raportați erorile la: bug-coreutils@gnu.org
Pagina principală a GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/cksum>
sau local rulând comanda: «info '(coreutils) cksum invocation'»

Împachetat de Debian (9.10-1)
Drepturi de autor © 2026 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.